libcloud-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From to...@apache.org
Subject git commit: Print Python version, change if statement.
Date Wed, 31 Jul 2013 20:39:34 GMT
Updated Branches:
  refs/heads/trunk cec5a79c4 -> fa4490be3


Print Python version, change if statement.


Project: http://git-wip-us.apache.org/repos/asf/libcloud/repo
Commit: http://git-wip-us.apache.org/repos/asf/libcloud/commit/fa4490be
Tree: http://git-wip-us.apache.org/repos/asf/libcloud/tree/fa4490be
Diff: http://git-wip-us.apache.org/repos/asf/libcloud/diff/fa4490be

Branch: refs/heads/trunk
Commit: fa4490be3bc3fa0e9c10ce981bbb9378db778462
Parents: cec5a79
Author: Tomaz Muraus <tomaz@apache.org>
Authored: Wed Jul 31 22:38:39 2013 +0200
Committer: Tomaz Muraus <tomaz@apache.org>
Committed: Wed Jul 31 22:38:39 2013 +0200

----------------------------------------------------------------------
 libcloud/utils/py3.py | 5 ++++-
 setup.py              | 1 +
 2 files changed, 5 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/libcloud/blob/fa4490be/libcloud/utils/py3.py
----------------------------------------------------------------------
diff --git a/libcloud/utils/py3.py b/libcloud/utils/py3.py
index 0d6987d..206324e 100644
--- a/libcloud/utils/py3.py
+++ b/libcloud/utils/py3.py
@@ -146,4 +146,7 @@ if PY25:
             return posixpath.curdir
         return posixpath.join(*rel_list)
 
-unittest2_required = not (PY27 or PY3)
+if PY27 or PY3:
+    unittest2_required = False
+else:
+    unittest2_required = True

http://git-wip-us.apache.org/repos/asf/libcloud/blob/fa4490be/setup.py
----------------------------------------------------------------------
diff --git a/setup.py b/setup.py
index 1adee5d..fc82122 100644
--- a/setup.py
+++ b/setup.py
@@ -95,6 +95,7 @@ class TestCommand(Command):
                 import unittest2
                 unittest2
             except ImportError:
+                print('Python version: %s' % (sys.version))
                 print('Missing "unittest2" library. unittest2 is library is needed '
                       'to run the tests. You can install it using pip: '
                       'pip install unittest2')


Mime
View raw message